#pragma once
#include "afxwin.h"


// MapPropPage dialog

class MapPropPage : public CPropertyPage
{
	DECLARE_DYNAMIC(MapPropPage)

public:
	MapPropPage();
	virtual ~MapPropPage();

// Dialog Data
	enum { IDD = IDD_PROPPAGE_MAP };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
public:
	BOOL FULLSCREEN;
	afx_msg void OnEnChangeHeight();
	int WIDTH;
	int HEIGHT;
	BOOL BENCHMARK;
	BOOL SHOW_CULL;
	float GLOBAL_DETAIL;
	float LOCAL_DETAIL;
	int MIN_DETAIL;
	int MAX_DETAIL;
	BOOL FRUSTUM_CULLING;
	afx_msg void OnEnChangeGdetail();
	afx_msg void OnBnClickedCullcheck();
	afx_msg void OnBnClickedShowcullcheck();
	CStatic map_static;
	afx_msg void OnBnClickedFilebutton();
	CString MAP_NAME;
	afx_msg void OnEnUpdateFileedit();
	CEdit FileEdit;
};
