// PropPageOpenGL.cpp : implementation file
//

#include "stdafx.h"
#include "Frontend.h"
#include "PropPageOpenGL.h"


// PropPageOpenGL dialog

IMPLEMENT_DYNAMIC(PropPageOpenGL, CPropertyPage)
PropPageOpenGL::PropPageOpenGL()
	: CPropertyPage(PropPageOpenGL::IDD)
	, USE_VERTEX_ARRAY(FALSE)
	, USE_COMPILED_VERTEX_ARRAY(FALSE)
	, USE_MULTIDRAW_EXT(FALSE)
	, USE_ARB_EXT(FALSE)
	, FIELD_OF_VIEW(0)
	, FIELD_OF_VIEW_ASPECT(0)
	, CLIP_PLANE_NEAR(0)
	, CLIP_PLANE_FAR(0)
{
}

PropPageOpenGL::~PropPageOpenGL()
{
}

void PropPageOpenGL::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	DDX_Check(pDX, IDC_VARRAYCHECK, USE_VERTEX_ARRAY);
	DDX_Check(pDX, IDC_COMPVARRAYCHECK, USE_COMPILED_VERTEX_ARRAY);
	DDX_Check(pDX, IDC_MDRAWCHECK, USE_MULTIDRAW_EXT);
	DDX_Check(pDX, IDC_ARBCHECK, USE_ARB_EXT);
	DDX_Text(pDX, IDC_FOV, FIELD_OF_VIEW);
	DDX_Text(pDX, IDC_FOVASPECT, FIELD_OF_VIEW_ASPECT);
	DDX_Text(pDX, IDC_ZNEAR, CLIP_PLANE_NEAR);
	DDX_Text(pDX, IDC_ZFAR, CLIP_PLANE_FAR);
	DDV_MinMaxFloat(pDX, FIELD_OF_VIEW, 15, 160);
	DDV_MinMaxFloat(pDX, CLIP_PLANE_FAR, 10, 5000);
}


BEGIN_MESSAGE_MAP(PropPageOpenGL, CPropertyPage)
END_MESSAGE_MAP()


// PropPageOpenGL message handlers
